import { requestClient } from '#/api/request';
import type {
  PageDesigner
} from './model';

enum Api {
  pageAdd = '/page-designer',
  pageUpdate = '/page-designer',
  pageList = '/page-designer/list',
  pageInfo = '/page-designer',
  pageRemove = '/page-designer',
}

/**
 * 新增页面设计
 */
export function pageAdd(data: any) {
  return requestClient.post(Api.pageAdd, data);
}

/**
 * 修改页面设计
 */
export function pageUpdate(data: any) {
  return requestClient.put(Api.pageUpdate, data);
}

/**
 * 获取页面设计列表
 */
export function pageList(params?: any) {
    return requestClient.get<{
      total: number;
      rows: PageDesigner[];
      code: number;
      msg: string;
    }>(Api.pageList, { params });
}

/**
 * 获取页面设计详情
 */
export function pageInfo(id: string | number) {
  return requestClient.get<PageDesigner>(`${Api.pageInfo}/${id}`);
}

/**
 * 删除页面设计
 */
export function pageRemove(ids: string[] | number[]) {
  return requestClient.delete(Api.pageRemove, { data: ids });
}
